#pragma once

#include <QDialog>
#include "ui_QComplex2AmpPhase.h"

class QComplex2AmpPhase : public QDialog
{
	Q_OBJECT

public:
	QComplex2AmpPhase(QWidget *parent = nullptr);
	~QComplex2AmpPhase();

public slots:
 
	void accept();
	void reject();
	void onpushButtonAddClicked(bool);
	void onpushButtonRemoveClicked(bool);
	void onpushButtonWorkSpaceClicked(bool);
	void radioButtonAmptoggled(bool);
	void radioButtonPhasetoggled(bool);
	void radioButtonSigma0toggled(bool);
private:
	Ui::QComplex2AmpPhaseClass ui;
};
